Java compiler level does not match

原创 2016年03月19日 13:25:06
从别的地方导入一个项目的时候,经常会遇到eclipse/Myeclipse报Description  Resource Path Location Type Java compiler level does not match the version of the installed Java project facet.出现这个问题的原因是因为,eclipse/myeclipse的jdk编译版本与出现问题的项目JDK编译版本不一致所导致!

解决方法:
先设置好jre,需要确定 项目,eclipse/myeclipse,系统 用的是同一个版本的jre,我系统中安装的JDK是1.7,所以我把myeclipse的jre修改成1.7
这里写图片描述
进入 windows—proferences—java–compiler设置编译出来的文件使用的格式是 1.7版本的
这里写图片描述
进入项目–properties—Myeclipse—project Facets设置java文件的版本为 1.7
这里写图片描述

使用声明式启动job任务时报JobInitializationPlugin或XMLSchedulingDataProcessorPlugin实例化失败 解决方案

先贴上错误: org.quartz.SchedulerException: SchedulerPlugin class 'org.quartz.plugins.xml.XMLSchedulingDat...
  • sanfye
  • sanfye
  • 2015年10月17日 15:09
  • 2544

关于Android Studio导入源码的问题解决

进入源码看不到详细代码 方法体中显示介样内容:throw new RuntimeException("Stub!");上方提示介样的错误:Decompiled .class file, bytecod...
  • u010917495
  • u010917495
  • 2016年04月24日 16:23
  • 8450

saltstack入门问题

执行salt-key -A 时出现的问题: 1.the key glob '*' does not match any unaccpted keys        minion配置文件中的maste...
  • python_tty
  • python_tty
  • 2015年05月27日 16:26
  • 4130

Java compiler level does not match修改jdk版本

从别的地方导入一个项目的时候,经常会遇到eclipse/Myeclipse报Description  Resource Path Location Type Java compiler level d...
  • TOP__ONE
  • TOP__ONE
  • 2017年08月07日 10:05
  • 180

Java compiler level does not match解决方法

Java compiler level does not match解决方法
  • fenqingxingpeiyue
  • fenqingxingpeiyue
  • 2016年08月08日 16:37
  • 134

Java compiler level does not match the version of the installed Java 及MyEclipse中没有ProjectFacets

解决办法 在项目上右键Properties-》Project Facets,在打开的Project Facets页面中的Java下拉列表中,选择相应版本。 有可能是java1.6 改成java6之...
  • yuzongtao
  • yuzongtao
  • 2014年09月30日 14:13
  • 789

java compiler level does not match the version of the installed java project facet

解决方法1: 在资源管理器下,找到项目所在的目录,在 .settings 子目录里面,用 文本编辑器打开 org.eclipse.wst.common.project.facet.core.xm...
  • lianshangxiakong
  • lianshangxiakong
  • 2014年03月11日 09:49
  • 534

Tomact服务器报错:Java compiler level does not match the version of the installed java project facet

问题: 经常我们在导入别人的项目进入自己的工程时,会报Java compiler level does not match the version of the installed java...
  • BobZhangfighting
  • BobZhangfighting
  • 2016年08月19日 23:35
  • 357

java环境报错(项目报红叉)Java compiler level does not match解决方法

解决方案: 1.先设置好jdk,需要确定 项目,eclipse/myeclipse,系统 用的是同一个版本的JDK,我系统中安装的JDK是1.7,所以我把eclipse的jdk成1.7 ...
  • only_musm
  • only_musm
  • 2017年12月08日 14:01
  • 34

Eclipse报错Java compiler level does not match the version of the installed Java project facet.解决办法

Java compiler level does not match the version of the installed Java project facet. 以前没有碰到过,花了半个多小...
  • qq_24862137
  • qq_24862137
  • 2017年07月06日 09:50
  • 4935
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Java compiler level does not match
举报原因:
原因补充:

(最多只允许输入30个字)